Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360586 - [DOCS] Docker login steps are missing for exposed registry with both secured and insecured
Summary: [DOCS] Docker login steps are missing for exposed registry with both secured ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Timothy
QA Contact: Meng Bo
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 06:21 UTC by Jaspreet Kaur
Modified: 2018-10-16 05:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-28 00:31:28 UTC


Attachments (Terms of Use)

Description Jaspreet Kaur 2016-07-27 06:21:10 UTC
Document URL: https://access.redhat.com/documentation/en/openshift-enterprise/version-3.2/installation-and-configuration/#access

Section Number and Name: 2.7.5.2. Logging in to the Registry

Describe the issue: At present the only step that is mentioned is  Log in to the Docker registry:

$ docker login -u <username> -e <any_email_address> \
    -p <token_value> <registry_ip>:<port>

However there are different other ways to access registry i.e exposing the registry(using secured method) and other is exposing the registry without securing using article : https://access.redhat.com/solutions/2086663(missing from the doc) and again how can the user login to that which requires some additional steps or else the user fill face 503 errors like below :

docker login -u alko -e fake@mail.com -p 5i1EOrRqsWAuNFzg04ZdNO2xE6sAsCmR9diiK0GKmZM registry.apps.ose3.test Error response from daemon: Unexpected status code [503] : <html> <body> <h1>503 Service Unavailable</h1> No server available to handle the request. </body> </html>

Suggestions for improvement: The section should be updated for different use cases as mentioned above.

Additional information:

Comment 5 Timothy 2016-08-23 06:37:23 UTC
https://github.com/openshift/openshift-docs/pull/2710

Work in progress

Comment 12 Timothy 2016-09-19 06:47:31 UTC
Previous PR2710 closed in favour of: https://github.com/openshift/openshift-docs/pull/2863

Comment 13 Meng Bo 2016-09-19 08:16:31 UTC
The doc looks good to me expect the two comments.

Comment 14 Timothy 2016-09-19 20:52:16 UTC
ATTN: Meng Bo: Which two comments are you referring to? I don't see any comments from here here in the BZ or in the GitHub PR. 

If you've started leaving comments in the PR, GitHub recently changed how those work. By default, your first comment will "Start a review", and when you're done commenting you need to "Review changes" then "Submit review": https://help.github.com/articles/commenting-on-a-pull-request/#adding-line-comments-in-a-pull-request-review

Comment 15 Meng Bo 2016-09-20 01:51:41 UTC
@Timothy
ahh, I have commented on github, you should see the comments now.
Thanks.

Comment 16 Timothy 2016-09-20 05:30:42 UTC
Thank you, @bmeng 
I made your changes, but just guessed at a port number. Do you have a suggested port number I should use for the secured registry example commands?

Comment 17 Timothy 2016-09-22 03:40:33 UTC
passed QA, now on to peer review: https://github.com/openshift/openshift-docs/pull/2863

Comment 18 Timothy 2016-09-23 03:06:31 UTC
peer review passed.

docs work has merged: https://github.com/openshift/openshift-docs/pull/2863


Note You need to log in before you can comment on or make changes to this bug.